-- 1/3 : Création de la table temporaire
DROP TABLE IF EXISTS w_dbsetup
;

CREATE TEMP TABLE w_dbsetup AS
    SELECT code, texte, texte_court FROM pmsi.t_modes_entree ORDER BY code LIMIT 0
;

-- 2/3 : Peuplement de la table temporaire
INSERT INTO w_dbsetup(
    code,
    texte,
    texte_court
)
VALUES
(' ', '', ''),
('0', 'Transfert provisoire', 'Transfert prov.'),
('6', 'Mutation', 'Mutation'),
('7', 'Transfert définitif', 'Transfert'),
('8', 'Domicile', 'Domicile'),
('N', 'Naissance', 'Naissance')
;

-- 3/3 : Màj de la table iCTI
UPDATE pmsi.t_modes_entree SET 
	texte = w_dbsetup.texte, 
	texte_court = w_dbsetup.texte_court
FROM w_dbsetup
WHERE t_modes_entree.code = w_dbsetup.code;


INSERT INTO pmsi.t_modes_entree(code, texte, texte_court)
SELECT code, texte, texte_court 
FROM w_dbsetup 
WHERE code NOT IN (SELECT code FROM pmsi.t_modes_entree);